Name: 		      qtractor
Version:	      0.9.38
Release:	      %mkrel 1
Summary:        An Audio/MIDI multi-track sequencer

License:	      GPL
Group:		      Sound
URL:            http://qtractor.sourceforge.net/
Source:		      %{name}-%{version}.tar.xz
BuildRequires:  dssi-devel
BuildRequires:  ladspa-devel
BuildRequires:  lib64alsa2-devel
BuildRequires:  lib64jack-devel
BuildRequires:  lib64lo-devel
BuildRequires:  lib64mad-devel
BuildRequires:  lib64ogg-devel
BuildRequires:  lib64rubberband-devel
BuildRequires:  lib64samplerate-devel
BuildRequires:  lib64sndfile-devel
BuildRequires:  lib64vorbis0-devel
BuildRequires:  lib64x11-devel
BuildRequires:  lv2core-devel
BuildRequires:  lilv-devel
BuildRequires:  qt5gui-devel
BuildRequires:  qt5core-devel
BuildRequires:  qt5widgets-devel
BuildRequires:  qt5x11extras-devel
BuildRequires:  qt5xml-devel
BuildRequires:  qt5help-devel


Requires(post):		desktop-file-utils, shared-mime-info
Requires(postun):	desktop-file-utils, shared-mime-info

Requires:       dssi
Requires:       lib64lo7
Requires:       lib64slv2_9
Requires:	    ladspa

%description
Qtractor is an Audio/MIDI multi-track sequencer application
written in C++ around the Qt4 toolkit using Qt Designer.

The initial target platform will be Linux, where the Jack Audio
Connection Kit (JACK) for audio, and the Advanced Linux Sound
Architecture (ALSA) for MIDI, are the main infrastructures to
evolve as a fairly-featured Linux Desktop Audio Workstation GUI,
specially dedicated to the personal home-studio.

%prep
%setup -q
%autopatch -p1

%build
export LDFLAGS="-L/usr/lib64/libglvnd/ $LDFLAGS"
cmake -DCMAKE_INSTALL_PREFIX=%{_prefix} -Wno-dev -B build
cmake --build build %{?_smp_mflags}

%install
DESTDIR="%{buildroot}" \
cmake --install build


desktop-file-install \
	--remove-key="X-SuSE-translate" \
	--remove-key="Version" \
	--set-key=Exec --set-value="%{name}" \
	--remove-category="Audio" \
	--remove-category="AudioVideo" \
	--add-category="X-MandrivaLinux-Multimedia-Sound" \
	--dir %{buildroot}%{_datadir}/applications \
	%{buildroot}%{_datadir}/applications/*.desktop



%files
%defattr(-,root,root)
%{_bindir}
%{_datadir}
%{_libdir}

%post
%update_menus

%postun
%clean_menus

%changelog
* Sun Jan 14 2024 tex - 0.9.38-1pclos2024
- new version

* Fri Mar 31 2023 tex - 0.9.33-1pclos2023
- new version

* Sat Jan 28 2023 tex - 0.9.31-1pclos2023
- new version

* Sun Jan 01 2023 tex - 0.9.30-1pclos2023
- new version

* Tue Oct 04 2022 tex - 0.9.29-1pclos2022
- new version

* Fri Jun 03 2022 onkelho <oh.quait at gmail.com> - 0.9.27-1pclos2022
- new version

* Sat Jan 15 2022 tex - 0.9.25-1pclos2022
- new version

* Mon Oct 18 2021 tex - 0.9.24-1pclos2021
- new version

* Wed May 19 2021 tex - 0.9.22-1pclos2021
- new version

* Wed May 12 2021 tex - 0.9.21-1pclos2021
- new version

* Sat Feb 13 2021 tex - 0.9.20-1pclos2021
- new version

